Bug 164088 - local variable used before set
Summary: local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsepol (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-24 16:36 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 16:47:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-07-24 16:36:26 UTC
Description of problem:

Hello there,

I just tried to compile Redhat Fedora package
libsepol-1.7.5-1 with the Intel C compiler version 8.1

The compiler said

policydb.c(2431): remark #592: variable "policydb_str" is used before its value
is set

The source code is

                printf("security:  policydb string length %zu does not match
expected length %zu\n", len, strlen(policydb_str));

Clearly broken code. Suggest initialise local variable "policydb_str"
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2005-08-25 16:47:45 UTC
Fixed in  libsepol-1.7.20-1



Note You need to log in before you can comment on or make changes to this bug.